Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1.http
Class ServletPageRenderer

    java.lang.Object
      |
      +--oracle.portal.provider.v1.http.PortletPageLocator
            |
            +--oracle.portal.provider.v1.RenderManager
                  |
                  +--oracle.portal.provider.v1.http.PageRenderer
                        |
                        +--oracle.portal.provider.v1.http.ServletPageRenderer

Deprecated. `PageRenderer` and its subclasses have been replaced by the more flexible `RenderManager`.

public class ServletPageRenderer
extends PageRenderer

The `ServletPageRenderer` allows a web provder whose Servlet container is servlet 2.0 compliant (e.g. JServ 1.1) to use servlets to render portlets. Because Portal's communication with the provider adapter is made via the post method, the servlet rendering class must override either the `service()` method or the `doPost()` method. To use the ServletPageRenderer, set the portlet's renderer tag to:

`<renderer class="oracle.portal.provider.v1.http.ServletPageRenderer">
.
.
</renderer>`

The tags to set the render modes are <showServlet>, <helpServlet>, <aboutServlet>, <previewServlet>, <detailsServlet>, <editServlet> and <editDetailsServlet>. Included within these tags should be the fully qualified class name of the rendering servlet. If you are not using `DefaultProvider` (or a subclass of `DefaultProvider`) you can still use ServletPageRenderer. To initialize the renderer, use the accessor methods that correspond to the above tags. For example, to set the servlet for the SHOW mode, call `setShowServlet()`.

Since this class extends `PageRenderer`, you can also use the rendering methods it supports (JSP, static html)

Constructor Summary
`ServletPageRenderer()` Deprecated. Null Constructor

Method Summary
`java.lang.String` | `getAboutServlet()` Deprecated. Gets the servlet used for rendering the portlet's about mode.
`java.lang.String` | `getDetailsServlet()` Deprecated. Gets the servlet used for rendering the portlet's show detials mode.
`java.lang.String` | `getEditDefaultsServlet()` Deprecated. Gets the servlet used for rendering the portlet's edit defaults mode.
`java.lang.String` | `getEditServlet()` Deprecated. Gets the servlet used for rendering the portlet's edit mode.
`java.lang.String` | `getHelpServlet()` Deprecated. Gets the servlet used for rendering the portlet's help mode.
`java.lang.String` | `getLinkServlet()` Deprecated. Gets the servlet used for rendering the portlet's link mode.
`java.lang.String` | `getPreviewServlet()` Deprecated. Gets the servlet used for rendering the portlet's preview mode.
`java.lang.String` | `getShowServlet()` Deprecated. Gets the servlet used for rendering the portlet's show mode.
`void` | `setAboutServlet(java.lang.String servletName)` Deprecated. Sets the servlet used for rendering the portlet's about mode.
`void` | `setDetailsServlet(java.lang.String servletName)` Deprecated. Sets the servlet used for rendering the portlet's show details mode.
`void` | `setEditDefaultsServlet(java.lang.String servletName)` Deprecated. Sets the servlet used for rendering the portlet's edit defaults mode.
`void` | `setEditServlet(java.lang.String servletName)` Deprecated. Sets the servlet used for rendering the portlet's edit mode.
`void` | `setHelpServlet(java.lang.String servletName)` Deprecated. Sets the servlet used for rendering the portlet's show mode.
`void` | `setLinkServlet(java.lang.String servletName)` Deprecated. Sets the servlet used for rendering the portlet's link mode.
`void` | `setPreviewServlet(java.lang.String servletName)` Deprecated. Sets the servlet used for rendering the portlet's preview mode.
`void` | `setShowServlet(java.lang.String servletName)` Deprecated. Sets the servlet class used for rendering the portlet's show mode.

Methods inherited from class oracle.portal.provider.v1.http.PageRenderer
`isPage, renderPortletFooter, renderPortletFooter, renderPortletHeader, renderPortletHeader`

Methods inherited from class oracle.portal.provider.v1.RenderManager
`getEditFormParameter, getRenderContainer, getRenderCustomize, postInitialize, preInitialize, render, setEditFormParameter, setRenderContainer, setRenderContainer, setRenderCustomize, setRenderCustomize`

Methods inherited from class oracle.portal.provider.v1.http.PortletPageLocator
`getAboutPage, getAboutPage, getAppPath, getAppRoot, getCharSet, getContentType, getDefaultPage, getDefaultPage, getEditDefaultsPage, getEditDefaultsPage, getEditPage, getEditPage, getHelpPage, getHelpPage, getLinkPage, getLinkPage, getManagedRenderer, getPageExpires, getPageParameterName, getPagePath, getPageRealPath, getPreviewPage, getPreviewPage, getShowDetailsPage, getShowDetailsPage, getShowPage, getShowPage, setAboutPage, setAboutPage, setAppPath, setAppRoot, setCharSet, setContentType, setDefaultPage, setDefaultPage, setEditDefaultsPage, setEditDefaultsPage, setEditPage, setEditPage, setHelpPage, setHelpPage, setLinkPage, setLinkPage, setPageExpires, setPageExpires, setPageParameterName, setPreviewPage, setPreviewPage, setShowDetailsPage, setShowDetailsPage, setShowPage, setShowPage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletPageRenderer

    public ServletPageRenderer()

  Deprecated.
  Null Constructor

Method Detail

### setShowServlet

    public void setShowServlet(java.lang.String servletName)
                        throws PortletException

  Deprecated.
  Sets the servlet class used for rendering the portlet's show mode. If not set, rendering will be handed back up to the `PageRenderer`.
  Parameters:
    `servletName` - the fully qualified class name of the rendering servlet that renders this portlet in the show mode.

### getShowServlet

    public java.lang.String getShowServlet()

  Deprecated.
  Gets the servlet used for rendering the portlet's show mode.
  Returns:
    fully qualified class name of the rendering servlet that renders this portlet in the show mode.

### setHelpServlet

    public void setHelpServlet(java.lang.String servletName)
                        throws PortletException

  Deprecated.
  Sets the servlet used for rendering the portlet's show mode. If not set, rendering will be handed back up to the `PageRenderer`.
  Parameters:
    `servletName` - the fully qualified class name of the rendering servlet that renders this portlet in the show mode.

### getHelpServlet

    public java.lang.String getHelpServlet()

  Deprecated.
  Gets the servlet used for rendering the portlet's help mode.
  Returns:
    fully qualified class name of the rendering servlet that renders this portlet in the help mode.

### setAboutServlet

    public void setAboutServlet(java.lang.String servletName)
                         throws PortletException

  Deprecated.
  Sets the servlet used for rendering the portlet's about mode. If not set, rendering will be handed back up to the `PageRenderer`.
  Parameters:
    `servletName` - the fully qualified class name of the rendering servlet that renders this portlet in the about mode.

### getAboutServlet

    public java.lang.String getAboutServlet()

  Deprecated.
  Gets the servlet used for rendering the portlet's about mode.
  Returns:
    fully qualified class name of the rendering servlet that renders this portlet in the about mode.

### setPreviewServlet

    public void setPreviewServlet(java.lang.String servletName)
                           throws PortletException

  Deprecated.
  Sets the servlet used for rendering the portlet's preview mode. If not set, rendering will be handed back up to the `PageRenderer`.
  Parameters:
    `servletName` - the fully qualified class name of the rendering servlet that renders this portlet in the preview mode.

### getPreviewServlet

    public java.lang.String getPreviewServlet()

  Deprecated.
  Gets the servlet used for rendering the portlet's preview mode.
  Returns:
    fully qualified class name of the rendering servlet that renders this portlet in the preview mode.

### setDetailsServlet

    public void setDetailsServlet(java.lang.String servletName)
                           throws PortletException

  Deprecated.
  Sets the servlet used for rendering the portlet's show details mode. If not set, rendering will be handed back up to the `PageRenderer`.
  Parameters:
    `servletName` - the fully qualified class name of the rendering servlet that renders this portlet in the show details mode.

### getDetailsServlet

    public java.lang.String getDetailsServlet()

  Deprecated.
  Gets the servlet used for rendering the portlet's show detials mode.
  Returns:
    fully qualified class name of the rendering servlet that renders this portlet in the show details mode.

### setEditServlet

    public void setEditServlet(java.lang.String servletName)
                        throws PortletException

  Deprecated.
  Sets the servlet used for rendering the portlet's edit mode. If not set, rendering will be handed back up to the `PageRenderer`.
  Parameters:
    `servletName` - the fully qualified class name of the rendering servlet that renders this portlet in the edit mode.

### getEditServlet

    public java.lang.String getEditServlet()

  Deprecated.
  Gets the servlet used for rendering the portlet's edit mode.
  Returns:
    fully qualified class name of the rendering servlet that renders this portlet in the edit mode.

### setEditDefaultsServlet

    public void setEditDefaultsServlet(java.lang.String servletName)
                                throws PortletException

  Deprecated.
  Sets the servlet used for rendering the portlet's edit defaults mode. If not set, rendering will be handed back up to the `PageRenderer`.
  Parameters:
    `servletName` - the fully qualified class name of the rendering servlet that renders this portlet in the edit defaults mode.

### getEditDefaultsServlet

    public java.lang.String getEditDefaultsServlet()

  Deprecated.
  Gets the servlet used for rendering the portlet's edit defaults mode.
  Returns:
    fully qualified class name of the rendering servlet that renders this portlet in the edit defaults mode.

### setLinkServlet

    public void setLinkServlet(java.lang.String servletName)
                        throws PortletException

  Deprecated.
  Sets the servlet used for rendering the portlet's link mode. If not set, rendering will be handed back up to the `PageRenderer`.
  Parameters:
    `servletName` - the fully qualified class name of the rendering servlet that renders this portlet in the link mode.

### getLinkServlet

    public java.lang.String getLinkServlet()

  Deprecated.
  Gets the servlet used for rendering the portlet's link mode.
  Returns:
    fully qualified class name of the rendering servlet that renders this portlet in the link mode.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD